View mode: basic / threaded / horizontal-split · Log in · Help
January 10, 2013
vibe.d error on OS X 10.6
Got the following error when running vibe after installing:

ld: library not found for -levent_pthreads
collect2: ld returned 1 exit status
--- errorlevel 1
January 10, 2013
Re: vibe.d error on OS X 10.6
On Thursday, 10 January 2013 at 22:50:02 UTC, Chris wrote:
> Got the following error when running vibe after installing:
>
> ld: library not found for -levent_pthreads
> collect2: ld returned 1 exit status
> --- errorlevel 1

DMD 2.061
vibe.d 0.7.11 beta
January 10, 2013
Re: vibe.d error on OS X 10.6
On Thursday, 10 January 2013 at 22:50:02 UTC, Chris wrote:
> Got the following error when running vibe after installing:
>
> ld: library not found for -levent_pthreads
> collect2: ld returned 1 exit status
> --- errorlevel 1

It sounds like you need to install libevent.
January 11, 2013
Re: vibe.d error on OS X 10.6
On 2013-01-11 00:49, jerro wrote:

> It sounds like you need to install libevent.

$ sudo port install libevent

If you're using macports.

-- 
/Jacob Carlborg
January 11, 2013
Re: vibe.d error on OS X 10.6
On Friday, 11 January 2013 at 07:31:45 UTC, Jacob Carlborg wrote:
> On 2013-01-11 00:49, jerro wrote:
>
>> It sounds like you need to install libevent.
>
> $ sudo port install libevent
>
> If you're using macports.

Thanks, will try that
March 07
Re: vibe.d error on OS X 10.6
$ brew install libevent

If you are using Homebrew
Top | Discussion index | About this forum | D home